mia-2dsegshift
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dsegshift

#### Sysnopis:

`mia-2dsegshift` {-i `io`} {-o `io`} [ `options` ...]

#### Description:

This program move the segmentation(s) of an image series by using a shift that is equal for all slices. The program also may remove images from the begin of the series. The program can be used to correct the segmentation of the images if the images where cropped.

#### Options:

-i, --in-file=(input, required); io

  input segmentation set. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  input segmentation set. For supported file types see Plugin type: 2dimage/io

-g, --image-file=crop; stringSTRING

  output image filename base

-S, --shift=[0,0]; 2dfvector

  shift of segmentation

-k, --skip=2; ulong

  skip frames at the beginning

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Shift the segmentations of a set segement.set by -20 pixels in horizontal direction and -30 pixels in vertical direction (as if the images where cropped starting at (20,30) and store it in translate.set. The shiftes files are named translatedXXXX.png

    mia-2dsegshift -i segment.set -o translate.set -g translated -S "<20,30>"

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dsegseriesstats | Home | mia-2dsegshiftperslice